#!/usr/bin/env python
#from distutils.core import setup

from setuptools import setup, find_packages
from setup_build import list_packages, list_static_files

setup(name = 'wmagent',
      version = '1.0.3',
      maintainer = 'CMS DWMWM Group',
      maintainer_email = 'hn-cms-dmDevelopment@cern.ch',
      package_dir = {'' : 'src/python/'},
      #packages=find_packages('src/python/'),
      packages=list_packages(['src/python/Utils',
                            'src/python/WMCore',
                            'src/python/WMComponent',
                            'src/python/WMQuality',
                            'src/python/PSetTweaks']),
      data_files=list_static_files(),
      install_requires=['SQLAlchemy==0.9.6',
                        'httplib2==0.7.3',
                        'pycurl==7.19.3',
                        'MySQL-python==1.2.4b4',
                        'cx_Oracle==5.2.1',
                        'Cheetah==2.4.0',
                        'pyOpenSSL==0.11',
                        'CherryPy==5.4.0',
                        'dbs3-client',
                        'pyzmq==2.1.9',
                        'psutil==3.2.1',
                        'future==0.15',
                        'retry==0.9.1',
                        'stomp.py==4.1.15',
                        ],
      url = "https://github.com/dmwm/WMCore",
      )

#setup(name='wmcore',
#      version=wmcore_version,
#      maintainer='CMS DMWM Group',
#      maintainer_email='hn-cms-wmDevelopment@cern.ch',
#      cmdclass={'deep_clean': CleanCommand,
#                'coverage': CoverageCommand,
#                'test': TestCommand,
#                'env': EnvCommand,
#                'build_system': BuildCommand,
#                'install_system': InstallCommand},
#      # base directory for all our packages
#      package_dir={'': 'src/python/'},  # % get_path_to_wmcore_root()},
#      packages=DEFAULT_PACKAGES,
#      data_files=list_static_files(),
#      url="https://github.com/dmwm/WMCore",
#      download_url="https://github.com/dmwm/WMCore/tarball/%s" % wmcore_version
#      )